瀏覽代碼

完善构建脚本

herj 2 年之前
父節點
當前提交
81774cbab2
共有 1 個文件被更改,包括 10 次插入1 次删除
  1. 10 1
      bdist_wheel.sh

+ 10 - 1
bdist_wheel.sh

@@ -1,6 +1,15 @@
 #!/bin/bash
+
 set -e
+
+if ! command -v jlpm &> /dev/null
+then
+    pip install --no-build-isolation --no-deps -e $(dirname "$0")
+fi
+
+jlpm install --ignore-scripts
 jlpm build:dev:prod:release
+
 rm -rf jupyterlab/schemas jupyterlab/static jupyterlab/themes jupyterlab/style.js
 cp -r dev_mode/schemas dev_mode/static dev_mode/themes dev_mode/style.js jupyterlab
-python -m build
+python -m build -wxn